@import url(./style.css);

/* Contenedor del Formulario */
main {
    background-color: var(--blanco);
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 20px;
    box-sizing: border-box;
}

#form-pedido form {
    background-color: #ffffff;
    width: 100%;
    max-width: 500px;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.05);
    border: 1px solid var(--gris-claro);
}

#form-pedido h1 {
    color: var(--marron);
    text-align: center;
    margin-bottom: 25px;
}

#form-pedido h2 {
    color: var(--verde);
    border-bottom: 2px solid var(--gris-claro);
    padding-bottom: 5px;
    margin: 25px 0 15px;
    text-align: center;
}

#form-pedido h3 {
    color: var(--marron);
    margin-top: 15px;
}

input[type="text"],
input[type="number"],
input[type="date"],
select {
    width: 100%;
    padding: 12px;
    margin: 8px 0 15px;
    border: 1px solid var(--gris-claro);
    border-radius: 8px;
    box-sizing: border-box;
    background-color: #fff;
    outline-color: var(--verde);
}

.lista-productos ul li {
    background: #ffffff;
    margin-bottom: 8px;
    padding: 10px;
    border-radius: 6px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid var(--gris-claro);
}

input[type="checkbox"] {
    accent-color: var(--verde);
    cursor: pointer;
}

button {
    width: 100%;
    padding: 12px;
    margin-top: 10px;
    border-radius: 8px;
    border: none;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

button[type="submit"]:first-of-type {
    background-color: var(--verde);
    color: white;
}

button[type="submit"]:last-of-type {
    background-color: var(--marron);
    color: white;
}

button:hover {
    filter: brightness(1.1);
    transform: translateY(-1px);
}